GNU bug report logs - #10372
Emacs+Ansi-Term Display Glitches

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Geoff Ferrari <geoffrey.ferrari@HIDDEN>; merged with #11396; dated Mon, 26 Dec 2011 21:32:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 10372 11396. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2012 18:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 13:24:56 2012
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RhmZ5-0002jF-PV
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 13:24:56 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <murzin.v@HIDDEN>) id 1Rhl43-0000Tc-0r
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:48:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>) id 1Rhl0u-0000IA-18
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:45:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:52737)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>) id 1Rhl0t-0000I3-UX
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:45:31 -0500
Received: from eggs.gnu.org ([140.186.70.92]:53108)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>) id 1Rhl0s-0001Zy-Ka
	for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2012 11:45:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>) id 1Rhl0q-0000He-QY
	for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2012 11:45:30 -0500
Received: from mail-lpp01m010-f41.google.com ([209.85.215.41]:59653)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>)
	id 1Rhl0q-0000HJ-HF; Mon, 02 Jan 2012 11:45:28 -0500
Received: by lagv3 with SMTP id v3so4762454lag.0
	for <multiple recipients>; Mon, 02 Jan 2012 08:45:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=x8MTKD5MIEdNJuAUynsBISWRrI/v3vdW25VgP8fhgQs=;
	b=d4ccda1ECM5b0qV1BKOpHPRBNxlbdcDoxVPPGGAiiwUFX6FXeWvjSVKDH1AuWqOQ4A
	+XQTz2rkm623S4uuzGrNhbq/SzDcOkTlh6PIuxSouBk2Fqok/SNhfj9yO+LxJm7akqKa
	/e2I5nB0XYhxuXNc1rejOeKgfM41ZjpD9OUL8=
MIME-Version: 1.0
Received: by 10.152.112.42 with SMTP id in10mr41129031lab.21.1325522724882;
	Mon, 02 Jan 2012 08:45:24 -0800 (PST)
Received: by 10.152.113.165 with HTTP; Mon, 2 Jan 2012 08:45:24 -0800 (PST)
In-Reply-To: <20120102163321.GD10290@HIDDEN>
References: <20111226153048.GA9542@lindy>
	<430661332-1324954259-cardhu_decombobulator_blackberry.rim.net-1495100216-@b13.c12.bise7.blackberry>
	<20120102163321.GD10290@HIDDEN>
Date: Mon, 2 Jan 2012 19:45:24 +0300
Message-ID: <CABV+yWu-4+YL1qx79nQWn0j4WENz3B-rfn7v+XU9YuD81FkiRw@HIDDEN>
Subject: Re: Emacs+Ansi-Term Display Glitches
From: Vladimir Murzin <murzin.v@HIDDEN>
To: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 02 Jan 2012 13:24:54 -0500
Cc: help-gnu-emacs@HIDDEN, bug-gnu-emacs@HIDDEN,
	help-gnu-emacs-bounces+murzin.v=gmail.com@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hi Geoff

In my case (Gnome2+Metacity ) the following was enough:

$gconftool-2 --type boolean --set
/apps/metacity/general/compositing_manager false

My environment:
GNU Emacs 23.3.3
Gnome 2.32.1

On Mon, Jan 2, 2012 at 8:33 PM, Geoff Ferrari <geoffrey.ferrari@HIDDEN> wro=
te:
> I tried disabling composite manager by adding the following to /etc/X11/x=
org.conf
>
> Section "Extensions"
> =A0 =A0Option "Composite" "Disable"
> EndSection
>
> But it had no effect on the display glitches I mentioned. Any other
> suggestions?
>
> Maybe this bug will be solved in Emacs 24...
>
> Geoffrey
>
>
> On Tue, Dec 27, 2011 at 02:51:51AM +0000, Vladimir Murzin wrote:
>> Hi!
>>
>> Have you tried disabling composite manager?
>>
>> I met similar problem several months ago. Turning of composite feature o=
f Metacity solved this problem for me.
>> Best wishes, Vladimir Murzin
>>
>> -----Original Message-----
>> From: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
>> Sender: help-gnu-emacs-bounces+murzin.v=3Dgmail.com@HIDDEN: Mon, 26=
 Dec 2011 15:30:48
>> To: <help-gnu-emacs@HIDDEN>
>> Cc: <bug-gnu-emacs@HIDDEN>
>> Subject: Emacs+Ansi-Term Display Glitches
>>
>> Hi,
>>
>> I'm experiencing some display glitches when using ansi-term to access a
>> shell under the X11 version of emacs. There seem to be two separate
>> glitches, and they're a little hard to describe so I've included a link
>> to a video of the problem.
>>
>> FIRST GLITCH
>>
>> When I reach a full screen of text under ansi-term (i.e. once I've typed
>> in a few commands and the history of these commands fills the screen, so
>> that the input line is now at the bottom of the screen), the whole
>> screen seems to either flash or jump every time I type a new character.
>>
>> SECOND GLITCH
>>
>> After I've either filled the screen using my own commands, or after I've
>> used a programme such as top or mutt which takes over the whole screen,
>> then the two lines at the top of the screen seem to persist. Running the
>> "clear" command does not clear them, but they are cleared if I run the
>> "reset" command.
>>
>> You can see a download a video (7.6MB) of these glitches from:
>> http://cloud.geoffreyferrari.com/apps/files_sharing/get.php?token=3Ddb8e=
2a6726e03d1816548e17447a1df626215ac4
>>
>> Both of these problems occur on both the latest 64-bit versions of ubunt=
u and
>> debian wheezy. With the terminal version of emacs I get the second
>> problem (lines being left at the top of the screen) but not the first
>> (no display jumpiness).
>>
>> My version of emacs as reported in Ubuntu 11.10 is
>>
>> "GNU Emacs 23.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.5)
>> =A0of 2011-08-14 on allspice, modified by Debian"
>>
>> I wonder if there's anything I can do to remove these annoying glitches,
>> of whether they are a bug that should be reported.
>>
>> Geoff
>>
>>
>>
>
> --
> Geoffrey Ferrari
> Lecturer in Philosophy
> Lady Margaret Hall
>
> Office: 01865 [2]74381
> Mobile: 07989 851364
> web: geoffreyferrari.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10372; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2012 16:59:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 11:59:17 2012
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RhlEC-0000ip-I9
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:59:16 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhlEA-0000ii-8g
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:59:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhlB1-0001VP-5l
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:56:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:42828)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhlB1-0001VG-44
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:55:59 -0500
Received: from eggs.gnu.org ([140.186.70.92]:51345)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhlAz-0003qi-Gj
	for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2012 11:55:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhlAx-0001Uo-UP
	for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2012 11:55:57 -0500
Received: from st11p00mm-asmtp003.mac.com ([17.172.81.2]:40871
	helo=st11p00mm-asmtpout003.mac.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>)
	id 1RhlAx-0001Ua-Kv; Mon, 02 Jan 2012 11:55:55 -0500
Received: from debian.lan (78-105-231-74.zone3.bethere.co.uk [78.105.231.74])
	by st11p00mm-asmtp003.mac.com
	(Oracle Communications Messaging Server 7u4-23.01(7.0.4.23.0) 64bit
	(built Aug
	10 2011)) with ESMTPSA id <0LX600G2WKD1UU10@HIDDEN>;
	Mon, 02 Jan 2012 08:55:53 -0800 (PST)
Date: Mon, 02 Jan 2012 16:55:55 +0000
From: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
Subject: Re: Emacs+Ansi-Term Display Glitches
In-reply-to: <CABV+yWu-4+YL1qx79nQWn0j4WENz3B-rfn7v+XU9YuD81FkiRw@HIDDEN>
To: Vladimir Murzin <murzin.v@HIDDEN>
Message-id: <20120102165555.GA15697@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: QUOTED-PRINTABLE
Content-disposition: inline
X-Proofpoint-Virus-Version: vendor=fsecure
	engine=2.50.10432:5.5.7110,1.0.211,0.0.0000
	definitions=2012-01-02_05:2012-01-02, 2012-01-02,
	1970-01-01 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
	ipscore=0 suspectscore=2 phishscore=0 bulkscore=0 adultscore=0
	classifier=spam
	adjust=0 reason=mlx scancount=1 engine=6.0.2-1012030000
	definitions=main-1201020152
References: <20111226153048.GA9542@lindy>
	<430661332-1324954259-cardhu_decombobulator_blackberry.rim.net-1495100216-@b13.c12.bise7.blackberry>
	<20120102163321.GD10290@HIDDEN>
	<CABV+yWu-4+YL1qx79nQWn0j4WENz3B-rfn7v+XU9YuD81FkiRw@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (1203?)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
Cc: help-gnu-emacs@HIDDEN, bug-gnu-emacs@HIDDEN,
	help-gnu-emacs-bounces+murzin.v=gmail.com@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

Hi Vladimir,

Sincere thanks for your suggestions. I checked and the configuration =
value on my
machine for /apps/metacity/general/compositing_manager was already se=
t
to false. Changing to true didn't help either.

Incidentally, my usual window manager is stumpwm and I get the displa=
y
glitches there, too, so it might not be a problem with metacity in
particular.

One thing that helps the first glitch (the jumpiness when one has a f=
ull
screen of output) is switching from char-mode to line-mode. There's
still some jumpiness, but it seems reduced.

Best wishes,

Geoff

On Mon, Jan 02, 2012 at 07:45:24PM +0300, Vladimir Murzin wrote:
> Hi Geoff
>=20
> In my case (Gnome2+Metacity ) the following was enough:
>=20
> $gconftool-2 --type boolean --set
> /apps/metacity/general/compositing_manager false
>=20
> My environment:
> GNU Emacs 23.3.3
> Gnome 2.32.1
>=20
> On Mon, Jan 2, 2012 at 8:33 PM, Geoff Ferrari <geoffrey.ferrari@me.=
com> wrote:
> > I tried disabling composite manager by adding the following to /e=
tc/X11/xorg.conf
> >
> > Section "Extensions"
> > =A0 =A0Option "Composite" "Disable"
> > EndSection
> >
> > But it had no effect on the display glitches I mentioned. Any oth=
er
> > suggestions?
> >
> > Maybe this bug will be solved in Emacs 24...
> >
> > Geoffrey
> >
> >
> > On Tue, Dec 27, 2011 at 02:51:51AM +0000, Vladimir Murzin wrote:
> >> Hi!
> >>
> >> Have you tried disabling composite manager?
> >>
> >> I met similar problem several months ago. Turning of composite f=
eature of Metacity solved this problem for me.
> >> Best wishes, Vladimir Murzin
> >>
> >> -----Original Message-----
> >> From: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
> >> Sender: help-gnu-emacs-bounces+murzin.v=3Dgmail.com@HIDDEN:=
 Mon, 26 Dec 2011 15:30:48
> >> To: <help-gnu-emacs@HIDDEN>
> >> Cc: <bug-gnu-emacs@HIDDEN>
> >> Subject: Emacs+Ansi-Term Display Glitches
> >>
> >> Hi,
> >>
> >> I'm experiencing some display glitches when using ansi-term to a=
ccess a
> >> shell under the X11 version of emacs. There seem to be two separ=
ate
> >> glitches, and they're a little hard to describe so I've included=
 a link
> >> to a video of the problem.
> >>
> >> FIRST GLITCH
> >>
> >> When I reach a full screen of text under ansi-term (i.e. once I'=
ve typed
> >> in a few commands and the history of these commands fills the sc=
reen, so
> >> that the input line is now at the bottom of the screen), the who=
le
> >> screen seems to either flash or jump every time I type a new cha=
racter.
> >>
> >> SECOND GLITCH
> >>
> >> After I've either filled the screen using my own commands, or af=
ter I've
> >> used a programme such as top or mutt which takes over the whole =
screen,
> >> then the two lines at the top of the screen seem to persist. Run=
ning the
> >> "clear" command does not clear them, but they are cleared if I r=
un the
> >> "reset" command.
> >>
> >> You can see a download a video (7.6MB) of these glitches from:
> >> http://cloud.geoffreyferrari.com/apps/files_sharing/get.php?toke=
n=3Ddb8e2a6726e03d1816548e17447a1df626215ac4
> >>
> >> Both of these problems occur on both the latest 64-bit versions =
of ubuntu and
> >> debian wheezy. With the terminal version of emacs I get the seco=
nd
> >> problem (lines being left at the top of the screen) but not the =
first
> >> (no display jumpiness).
> >>
> >> My version of emacs as reported in Ubuntu 11.10 is
> >>
> >> "GNU Emacs 23.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.5)
> >> =A0of 2011-08-14 on allspice, modified by Debian"
> >>
> >> I wonder if there's anything I can do to remove these annoying g=
litches,
> >> of whether they are a bug that should be reported.
> >>
> >> Geoff
> >>
> >>
> >>
> >
> > --
> > Geoffrey Ferrari
> > Lecturer in Philosophy
> > Lady Margaret Hall
> >
> > Office: 01865 [2]74381
> > Mobile: 07989 851364
> > web: geoffreyferrari.com

--=20
Geoffrey Ferrari
Lecturer in Philosophy
Lady Margaret Hall

Office: 01865 [2]74381
Mobile: 07989 851364
web: geoffreyferrari.com





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10372; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2012 16:36:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 11:36:39 2012
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RhksJ-0000C5-1n
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:36:39 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhksG-0000By-Mx
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:36:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1Rhkp7-000716-UY
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:33:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:44964)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1Rhkp7-00070v-T4
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:33:21 -0500
Received: from eggs.gnu.org ([140.186.70.92]:35380)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1Rhkp6-00056H-Nj
	for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2012 11:33:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1Rhkp5-00070h-Gl
	for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2012 11:33:20 -0500
Received: from st11p00mm-asmtpout002.mac.com ([17.172.81.1]:51514)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>)
	id 1Rhkp5-00070c-AQ; Mon, 02 Jan 2012 11:33:19 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-disposition: inline
Content-type: text/plain; CHARSET=US-ASCII
Received: from debian.lan (78-105-231-74.zone3.bethere.co.uk [78.105.231.74])
	by st11p00mm-asmtp002.mac.com
	(Oracle Communications Messaging Exchange Server 7u4-22.01 64bit (built
	Apr 21
	2011)) with ESMTPSA id <0LX600FFJJBF2560@HIDDEN>;
	Mon, 02 Jan 2012 16:33:19 +0000 (GMT)
X-Proofpoint-Virus-Version: vendor=fsecure
	engine=2.50.10432:5.5.7110,1.0.211,0.0.0000
	definitions=2012-01-02_04:2012-01-02, 2012-01-02,
	1970-01-01 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
	ipscore=0 suspectscore=2 phishscore=0 bulkscore=0 adultscore=0
	classifier=spam
	adjust=0 reason=mlx scancount=1 engine=6.0.2-1012030000
	definitions=main-1201020146
Date: Mon, 02 Jan 2012 16:33:21 +0000
From: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
To: Vladimir Murzin <murzin.v@HIDDEN>
Subject: Re: Emacs+Ansi-Term Display Glitches
Message-id: <20120102163321.GD10290@HIDDEN>
References: <20111226153048.GA9542@lindy>
	<430661332-1324954259-cardhu_decombobulator_blackberry.rim.net-1495100216-@b13.c12.bise7.blackberry>
In-reply-to: <430661332-1324954259-cardhu_decombobulator_blackberry.rim.net-1495100216-@b13.c12.bise7.blackberry>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (1203?)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
Cc: help-gnu-emacs@HIDDEN, bug-gnu-emacs@HIDDEN,
	help-gnu-emacs-bounces+murzin.v=gmail.com@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

I tried disabling composite manager by adding the following to /etc/X11/xorg.conf

Section "Extensions"
    Option "Composite" "Disable"
EndSection

But it had no effect on the display glitches I mentioned. Any other
suggestions?

Maybe this bug will be solved in Emacs 24...

Geoffrey


On Tue, Dec 27, 2011 at 02:51:51AM +0000, Vladimir Murzin wrote:
> Hi!
> 
> Have you tried disabling composite manager?
> 
> I met similar problem several months ago. Turning of composite feature of Metacity solved this problem for me.
> Best wishes, Vladimir Murzin
> 
> -----Original Message-----
> From: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
> Sender: help-gnu-emacs-bounces+murzin.v=gmail.com@HIDDEN: Mon, 26 Dec 2011 15:30:48 
> To: <help-gnu-emacs@HIDDEN>
> Cc: <bug-gnu-emacs@HIDDEN>
> Subject: Emacs+Ansi-Term Display Glitches
> 
> Hi,
> 
> I'm experiencing some display glitches when using ansi-term to access a
> shell under the X11 version of emacs. There seem to be two separate
> glitches, and they're a little hard to describe so I've included a link
> to a video of the problem.
> 
> FIRST GLITCH
> 
> When I reach a full screen of text under ansi-term (i.e. once I've typed
> in a few commands and the history of these commands fills the screen, so
> that the input line is now at the bottom of the screen), the whole
> screen seems to either flash or jump every time I type a new character.
> 
> SECOND GLITCH
> 
> After I've either filled the screen using my own commands, or after I've
> used a programme such as top or mutt which takes over the whole screen,
> then the two lines at the top of the screen seem to persist. Running the
> "clear" command does not clear them, but they are cleared if I run the
> "reset" command.
> 
> You can see a download a video (7.6MB) of these glitches from:
> http://cloud.geoffreyferrari.com/apps/files_sharing/get.php?token=db8e2a6726e03d1816548e17447a1df626215ac4
> 
> Both of these problems occur on both the latest 64-bit versions of ubuntu and
> debian wheezy. With the terminal version of emacs I get the second
> problem (lines being left at the top of the screen) but not the first
> (no display jumpiness).
> 
> My version of emacs as reported in Ubuntu 11.10 is
> 
> "GNU Emacs 23.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.5)
>  of 2011-08-14 on allspice, modified by Debian"
> 
> I wonder if there's anything I can do to remove these annoying glitches,
> of whether they are a bug that should be reported.
> 
> Geoff
> 
> 
> 

-- 
Geoffrey Ferrari
Lecturer in Philosophy
Lady Margaret Hall

Office: 01865 [2]74381
Mobile: 07989 851364
web: geoffreyferrari.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10372; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2012 16:35:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 11:35:53 2012
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RhkrZ-0000Ap-Ex
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:35:53 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhkrW-0000Ah-Mr
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:35:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhkoN-0006rd-Ak
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:32:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:43505)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhkoN-0006rU-97
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2012 11:32:35 -0500
Received: from eggs.gnu.org ([140.186.70.92]:35059)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhkoM-0004HH-6z
	for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2012 11:32:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RhkoK-0006r1-Lu
	for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2012 11:32:34 -0500
Received: from st11p00mm-asmtpout002.mac.com ([17.172.81.1]:51507)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>)
	id 1RhkoK-0006qc-I6; Mon, 02 Jan 2012 11:32:32 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-disposition: inline
Content-type: text/plain; CHARSET=US-ASCII
Received: from debian.lan (78-105-231-74.zone3.bethere.co.uk [78.105.231.74])
	by st11p00mm-asmtp002.mac.com
	(Oracle Communications Messaging Exchange Server 7u4-22.01 64bit (built
	Apr 21
	2011)) with ESMTPSA id <0LX600FEIJA12560@HIDDEN>;
	Mon, 02 Jan 2012 16:32:29 +0000 (GMT)
X-Proofpoint-Virus-Version: vendor=fsecure
	engine=2.50.10432:5.5.7110,1.0.211,0.0.0000
	definitions=2012-01-02_04:2012-01-02, 2012-01-02,
	1970-01-01 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
	ipscore=0 suspectscore=2 phishscore=0 bulkscore=0 adultscore=0
	classifier=spam
	adjust=0 reason=mlx scancount=1 engine=6.0.2-1012030000
	definitions=main-1201020146
Date: Mon, 02 Jan 2012 16:30:18 +0000
From: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
To: Vladimir Murzin <murzin.v@HIDDEN>
Subject: Re: Emacs+Ansi-Term Display Glitches
Message-id: <20120102163018.GC10290@HIDDEN>
References: <20111226153048.GA9542@lindy>
	<430661332-1324954259-cardhu_decombobulator_blackberry.rim.net-1495100216-@b13.c12.bise7.blackberry>
In-reply-to: <430661332-1324954259-cardhu_decombobulator_blackberry.rim.net-1495100216-@b13.c12.bise7.blackberry>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (1203?)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
Cc: help-gnu-emacs@HIDDEN, bug-gnu-emacs@HIDDEN,
	help-gnu-emacs-bounces+murzin.v=gmail.com@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

I tried disabling composite manager by adding the following to /etc/X11/xorg.conf

Section "Extensions"
    Option "Composite" "Disable"
EndSection

But it had no effect on the display glitches I mentioned. Any other
suggestions?

Maybe this bug will be solved in Emacs 24...

Geoffrey

On Tue, Dec 27, 2011 at 02:51:51AM +0000, Vladimir Murzin wrote:
> Hi!
> 
> Have you tried disabling composite manager?
> 
> I met similar problem several months ago. Turning of composite feature of Metacity solved this problem for me.
> Best wishes, Vladimir Murzin
> 
> -----Original Message-----
> From: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
> Sender: help-gnu-emacs-bounces+murzin.v=gmail.com@HIDDEN: Mon, 26 Dec 2011 15:30:48 
> To: <help-gnu-emacs@HIDDEN>
> Cc: <bug-gnu-emacs@HIDDEN>
> Subject: Emacs+Ansi-Term Display Glitches
> 
> Hi,
> 
> I'm experiencing some display glitches when using ansi-term to access a
> shell under the X11 version of emacs. There seem to be two separate
> glitches, and they're a little hard to describe so I've included a link
> to a video of the problem.
> 
> FIRST GLITCH
> 
> When I reach a full screen of text under ansi-term (i.e. once I've typed
> in a few commands and the history of these commands fills the screen, so
> that the input line is now at the bottom of the screen), the whole
> screen seems to either flash or jump every time I type a new character.
> 
> SECOND GLITCH
> 
> After I've either filled the screen using my own commands, or after I've
> used a programme such as top or mutt which takes over the whole screen,
> then the two lines at the top of the screen seem to persist. Running the
> "clear" command does not clear them, but they are cleared if I run the
> "reset" command.
> 
> You can see a download a video (7.6MB) of these glitches from:
> http://cloud.geoffreyferrari.com/apps/files_sharing/get.php?token=db8e2a6726e03d1816548e17447a1df626215ac4
> 
> Both of these problems occur on both the latest 64-bit versions of ubuntu and
> debian wheezy. With the terminal version of emacs I get the second
> problem (lines being left at the top of the screen) but not the first
> (no display jumpiness).
> 
> My version of emacs as reported in Ubuntu 11.10 is
> 
> "GNU Emacs 23.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.5)
>  of 2011-08-14 on allspice, modified by Debian"
> 
> I wonder if there's anything I can do to remove these annoying glitches,
> of whether they are a bug that should be reported.
> 
> Geoff
> 
> 
> 

-- 
Geoffrey Ferrari
Lecturer in Philosophy
Lady Margaret Hall

Office: 01865 [2]74381
Mobile: 07989 851364
web: geoffreyferrari.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10372; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Dec 2011 21:28:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 27 16:28:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RfeYx-0005yr-Pn
	for submit <at> debbugs.gnu.org; Tue, 27 Dec 2011 16:28:00 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <murzin.v@HIDDEN>) id 1RfNAk-0004Sc-Av
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2011 21:53:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>) id 1RfN8C-0002wt-WD
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2011 21:51:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.8 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	MIME_BASE64_TEXT, RCVD_IN_DNSWL_LOW,
	T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:60509)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>) id 1RfN8C-0002wp-QB
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2011 21:51:12 -0500
Received: from eggs.gnu.org ([140.186.70.92]:39425)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>) id 1RfN8B-0008Tr-Ps
	for bug-gnu-emacs@HIDDEN; Mon, 26 Dec 2011 21:51:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>) id 1RfN8A-0002wd-Ix
	for bug-gnu-emacs@HIDDEN; Mon, 26 Dec 2011 21:51:11 -0500
Received: from mail-ee0-f41.google.com ([74.125.83.41]:57496)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <murzin.v@HIDDEN>)
	id 1RfN84-0002vu-Hj; Mon, 26 Dec 2011 21:51:04 -0500
Received: by eekc41 with SMTP id c41so11977260eek.0
	for <multiple recipients>; Mon, 26 Dec 2011 18:51:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=x-rim-org-msg-ref-id:message-id:content-transfer-encoding:reply-to
	:x-priority:references:in-reply-to:sensitivity:importance:subject:to
	:cc:from:date:content-type:mime-version;
	bh=0cLqWsQg/hmKw7yPEogAhwovrxBZxkmQrkl/5aWhx7k=;
	b=JP5BSUXxxza7AdWJsbd6urEyRo7DXT2TH26kye+7xRkTqUujYhMRpgiXbXa8sHblHA
	oGGfsTbMHkfbowGcFnhFpZQ77of+S4b6PM6/OCsZmIjcZNhhdkOXwbtL18gonGHpS0ib
	6ostx5N+/YCvWDftMbwandpD6CleghxyEd7P0=
Received: by 10.213.28.205 with SMTP id n13mr8459649ebc.97.1324954261157;
	Mon, 26 Dec 2011 18:51:01 -0800 (PST)
Received: from 172.18.205.184 (bda-178-239-85-164.bis7.eu.blackberry.com.
	[178.239.85.164])
	by mx.google.com with ESMTPS id 76sm100272763eeh.0.2011.12.26.18.51.00
	(version=SSLv3 cipher=OTHER); Mon, 26 Dec 2011 18:51:00 -0800 (PST)
X-rim-org-msg-ref-id: 430661332
Message-ID: <430661332-1324954259-cardhu_decombobulator_blackberry.rim.net-1495100216-@b13.c12.bise7.blackberry>
Content-Transfer-Encoding: base64
X-Priority: Normal
References: <20111226153048.GA9542@lindy>
In-Reply-To: <20111226153048.GA9542@lindy>
Sensitivity: Normal
Importance: Normal
Subject: Re: Emacs+Ansi-Term Display Glitches
To: "Geoff Ferrari" <geoffrey.ferrari@HIDDEN>,
	help-gnu-emacs-bounces+murzin.v=gmail.com@HIDDEN, help-gnu-emacs@HIDDEN
From: "Vladimir Murzin" <murzin.v@HIDDEN>
Date: Tue, 27 Dec 2011 02:51:51 +0000
Content-Type: text/plain
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 27 Dec 2011 16:27:59 -0500
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: murzin.v@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.1 (----)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10372; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Dec 2011 21:32:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 26 16:32:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RfI9H-0004A1-1f
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2011 16:31:59 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RfCYO-0007YR-Dk
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2011 10:33:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RfCVu-0000ay-5P
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2011 10:30:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:50035)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RfCVu-0000ak-3r
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2011 10:30:58 -0500
Received: from eggs.gnu.org ([140.186.70.92]:36219)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RfCVs-0000aM-Ub
	for bug-gnu-emacs@HIDDEN; Mon, 26 Dec 2011 10:30:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>) id 1RfCVr-0000aF-Mg
	for bug-gnu-emacs@HIDDEN; Mon, 26 Dec 2011 10:30:56 -0500
Received: from st11p00mm-asmtp003.mac.com ([17.172.81.2]:50860
	helo=st11p00mm-asmtpout003.mac.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geoffrey.ferrari@HIDDEN>)
	id 1RfCVr-0000Zu-Ik; Mon, 26 Dec 2011 10:30:55 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-disposition: inline
Content-type: text/plain; CHARSET=US-ASCII
Received: from lindy
	(host86-130-170-210.range86-130.btcentralplus.com [86.130.170.210])
	by st11p00mm-asmtp003.mac.com
	(Oracle Communications Messaging Server 7u4-23.01(7.0.4.23.0) 64bit
	(built Aug
	10 2011)) with ESMTPSA id <0LWT00LZAHRDBB10@HIDDEN>;
	Mon, 26 Dec 2011 07:30:53 -0800 (PST)
X-Proofpoint-Virus-Version: vendor=fsecure
	engine=2.50.10432:5.5.7110,1.0.211,0.0.0000
	definitions=2011-12-26_04:2011-12-23, 2011-12-26,
	1970-01-01 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
	ipscore=0 suspectscore=1 phishscore=0 bulkscore=0 adultscore=0
	classifier=spam
	adjust=0 reason=mlx scancount=1 engine=6.0.2-1012030000
	definitions=main-1112260124
Date: Mon, 26 Dec 2011 15:30:48 +0000
From: Geoff Ferrari <geoffrey.ferrari@HIDDEN>
To: help-gnu-emacs@HIDDEN
Subject: Emacs+Ansi-Term Display Glitches
Message-id: <20111226153048.GA9542@lindy>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (1203?)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 26 Dec 2011 16:31:57 -0500
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

Hi,

I'm experiencing some display glitches when using ansi-term to access a
shell under the X11 version of emacs. There seem to be two separate
glitches, and they're a little hard to describe so I've included a link
to a video of the problem.

FIRST GLITCH

When I reach a full screen of text under ansi-term (i.e. once I've typed
in a few commands and the history of these commands fills the screen, so
that the input line is now at the bottom of the screen), the whole
screen seems to either flash or jump every time I type a new character.

SECOND GLITCH

After I've either filled the screen using my own commands, or after I've
used a programme such as top or mutt which takes over the whole screen,
then the two lines at the top of the screen seem to persist. Running the
"clear" command does not clear them, but they are cleared if I run the
"reset" command.

You can see a download a video (7.6MB) of these glitches from:
http://cloud.geoffreyferrari.com/apps/files_sharing/get.php?token=db8e2a6726e03d1816548e17447a1df626215ac4

Both of these problems occur on both the latest 64-bit versions of ubuntu and
debian wheezy. With the terminal version of emacs I get the second
problem (lines being left at the top of the screen) but not the first
(no display jumpiness).

My version of emacs as reported in Ubuntu 11.10 is

"GNU Emacs 23.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.5)
 of 2011-08-14 on allspice, modified by Debian"

I wonder if there's anything I can do to remove these annoying glitches,
of whether they are a bug that should be reported.

Geoff






Acknowledgement sent to Geoff Ferrari <geoffrey.ferrari@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10372; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.